#include <stdio.h>
#include <stdarg.h>
#include <string.h>
FILE *FLOG=NULL;

void print2(const char *format, ...)
{
	va_list args;
	char    buffer[1000];

	va_start(args,format);
	vsprintf(buffer,format,args);
	if (FLOG!=NULL) {
		fputs(buffer,FLOG);
	}
	if (FLOG!=stdout) {
		fputs(buffer,stdout);
	}
}	

void print1(const char *format, ...)
{
	va_list args;
	char    buffer[1000];

	va_start(args,format);
	vsprintf(buffer,format,args);
	if (FLOG!=NULL) {
		fputs(buffer,FLOG);
	}
}	

void	openlog(const char *fname)
{
	if (!strcmp(fname,"stdout")) FLOG=stdout;
	else FLOG=fopen(fname,"w");
}

void	closelog(void)
{
	if ((FLOG!=NULL)&&(FLOG!=stdout)) fclose(FLOG);
	FLOG=NULL;
}
